#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "particle.h"

#include "ofxOsc.h"

// listen on port 12345
#define PORT 12345
#define NUM_MSG_STRINGS 20

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		vector < ofPoint > pts;
	
	ofPoint followPt;
	
	vector < particle > particles;

private:
	ofxOscReceiver	receiver;
	
	int				current_msg_string;
	string		msg_strings[NUM_MSG_STRINGS];
	float			timers[NUM_MSG_STRINGS];
	
	int				mouseX, mouseY;
	string			mouseButtonState;
	
	float q;
	float w;
	float e;
	
};

#endif
